#pragma once

#include <string>

typedef struct WindowDataStruct {
	std::wstring name;
	std::wstring className;
	int resourceId;
	bool isModal;
	WindowDataStruct * child;

	/*void deleteChildren() {
		if( child!=NULL ) {
			child.deleteChilren();
			delete child;
		}
	}*/
} WindowData;

void deleteWindowData(WindowData * winData);